Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.spi
Interface AuditCertPathBuilderEvent

All Superinterfaces:
  AuditEvent

    public interface AuditCertPathBuilderEvent

extends AuditEvent

This interface is used to post audit events for CertPathBuilder providers.

Method Summary
`CertPathSelector` | `getCertPathSelector()` Gets the `CertPathSelector` object that specifies which `CertPath` to look up and validate.
`ContextHandler` | `getContext()` Gets an optional `ContextHandler` object that may specify additional data on how to look up and validate the `CertPath`
`X509Certificate[]` | `getTrustedCAs()` Gets an optional list of trusted Certificate Authorities that may be used to look up and validate the `CertPath`

Methods inherited from interface weblogic.security.spi.AuditEvent
`getEventType, getFailureException, getSeverity, toString`

Method Detail

### getCertPathSelector

    CertPathSelector getCertPathSelector()

  Gets the `CertPathSelector` object that specifies which `CertPath` to look up and validate.

  Returns:
    a `CertPathSelector`

### getContext

    ContextHandler getContext()

  Gets an optional `ContextHandler` object that may specify additional data on how to look up and validate the `CertPath`

  Returns:
    the `ContextHandler`, may be null.

### getTrustedCAs

    X509Certificate[] getTrustedCAs()

  Gets an optional list of trusted Certificate Authorities that may be used to look up and validate the `CertPath`

  Returns:
    a `X509Certificate[]` containing the trusted certificate authorities, may be null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD